# Contributing

We love pull requests. And following this guidelines will make your pull request easier to merge

## Prerequisites

- Install [EditorConfig](http://editorconfig.org/) plugin for your code editor to make sure it uses correct settings.
- Fork the repository and clone your fork.
- Install dependencies: `npm install`.

## Coding style

We make use of [standard](https://standardjs.com/) to lint our code. Standard does not need a config file and comes with set of non-configurable rules.

## Development work-flow

Always make sure to lint and test your code before pushing it to the GitHub.

```bash
npm test
```

Just lint the code

```bash
npm run lint
```

**Make sure you add sufficient tests for the change**.

## Other notes

- Do not change version number inside the `package.json` file.
- Do not update `CHANGELOG.md` file.

## Need help?

Feel free to ask.
